Monday, October 6, 2014

PowerShell - Microsoft SharePoint is not supported with version 4.0.30319.18063 of the Microsoft .Net Runtime - Resolved

We tried to Install SPDiag 3.0 for our SharePoint environment, which provides SharePoint administrators with a unified interface that can be used to gather relevant information from a farm,

It also displays the results in a meaningful way, to identify performance issues, and share or export the collected data and reports.


When we tried to create a project , it was throwing the following error.




The error message was " Microsoft SharePoint is not supported with version 4.0.30319.18444 of the Microsoft .Net Runtime".

I did try to change the Psconfig.exe.config to point to .Net 2.0 and it did not solve the problem. So finally decided to uninstall Microsoft Windows Management framework 3.0 from installed windows updates.

After uninstalling , things started working. Hope this helps you.


No comments:

Post a Comment